# Import Pmw from this directory tree.
#!/usr/local/bin/python
# -*- coding: UTF-8 -*-
import os,sys
nombre="c:\\plugin\subtitulo.ass"
f = open(nombre, "r")
listado=[]
list=[]
tipos=["<i>","<br>","<tr>","</i>","</br>","</tr>"]
cont=0
tip=[]

def pasar_tiempo(Tcode):
	Tcode=Tcode.replace(" ","")
	if(Tcode.find(",")<>-1):
		Tcode=Tcode.replace(",",":")
	Tcode=Tcode.split(":")
	Tcode[len(Tcode)-1]=str(int((float(Tcode[len(Tcode)-1])*25.0)/1000.0))
	salida=0;
	Tcode_O=Tcode
	if(len(Tcode_O)==4):
		salida=(int(Tcode_O[3])) + int(Tcode_O[2])*25 +  (int(Tcode_O[1])*60.0*25) +((int(Tcode_O[0])*60.0)*60.0*25)
		return salida
	else:
		return -1
def corregir_tiempo(Tcode):
	Tcode=Tcode.replace(" ","")
	if(Tcode.find(",")<>-1):
		Tcode=Tcode.replace(",",":")
	Tcode=Tcode.split(":")
	Tcode[len(Tcode)-1]=str(int((float(Tcode[len(Tcode)-1])*25.0)/1000.0))
	return (Tcode[0]+":"+Tcode[1]+":"+Tcode[2]+":"+Tcode[3])

def comparar_tiempos(Tuno,Tdos):
	tiempo=pasar_tiempo(Tdos)-pasar_tiempo(Tuno)
	frames=0
	segundos=0
	segundos=int(tiempo/25.0)
	frames=int(tiempo%25)
	return "00:00:"+str(segundos)+":"+str(frames)
	 
while True:
	linea = f.readline()
	
	if(linea=="\n"):
		list.append(cont-2) #ELIMINAS EL QUE CONTABILIZAS PARA ACTIVAR Y EL SALTO DE CARRO ULTIMO
		list.append(tip)
		listado.append(list)
		list=[]
		cont=0
		tip=[]
	else:
		for z in tipos:
			if (linea.find(z)!=-1):
				tip.append(z)
				linea=linea.replace(z,"")
		if(linea.find("-->")!=-1):
			list.append(linea[:-1].split("-->")) #ENCUNETRAS CONTADOR
			cont=1
		else:
			list.append(linea[:-1])
		if(cont!=0):
			cont=cont+1
	if not linea: break
	#listado.append(linea.split("	"))
t=1
final=""
p=""
for x in listado:
	final=""
	"""
	print "Rotulo Numero:", t
	print x
	print "---------------->"
	"""
	t="R"
	#DICCIONARIO DE TIPOS DE COMPOSICIONES
	for z in x[len(x)-1]:
		if(z=="<i>"):
			t="C"
		if(z=="<br>"):
			t="T"
	p=p+t
	p=p+str(x[len(x)-2])+"#"+str(x[len(x)-2])
	for l in range(2,int(x[len(x)-2])+2):
		p=p+"#"+x[l]
	kt=comparar_tiempos(x[1][0],x[1][1])
	p=p+"#"+corregir_tiempo(x[1][0])+"#"
	#p=p+(x[1][1].split(",")[0]).replace(" ","")+"#"
	p=p+kt+"\n"
	
	#if(x[len(x)-1]==[]):
f.close()	
print p
f = open(nombre[:-3]+"txt", 'w')
f.write(p)
f.close()
